// 
// MsgTest.h
// 
// July 31, 1996
// By Ben Manuto
// 
//  1996 by Apple Computer, Inc., all rights reserved.
//
// 

#define	kDefaultSelector	0x12345678
#define kDefaultMsgSize		256					// Our default message packet size.
#define kDefaultMsgTypes	2					// The number of message types for our msg commands type.

#define kDataMsgType		0
#define kAckMsgType			1

#define kMsgCommandType		'msgt'				// Our message command type.


//  Public Functions


OSErr InitializeMsgSystem(void);
OSErr CloseMsgSystem(void);

MsgRecElemPtr NewMsgRecElem(SInt16 cmdBase, UInt16 cmdCount, UInt32 refCon); 
MsgPBlkPtr NewMessage(OSType cmdValue, UInt32 param1, UInt32 param2, UInt32 msgSize);
void DeleteMessage(MsgPBlkPtr theMsg);
void DeleteMsgRecElem(MsgRecElemPtr theMsgRecElem);